.emoji-board {
    margin: 1em;
    resize: both;
    overflow: hidden;
    display: flex;
    flex-flow: column;
}

.emoji-group-links {
    list-style: none;
    margin: 0 1px 0 0;
    padding: 0;
    display: flex;
    font-size: 48px;
}
.emoji-group-links li {
    flex-grow: 1;
}
.emoji-group-links > li > a {
    width: 100%;
    text-align: center;
    display: block;
    text-decoration: none;
    color: inherit;
    cursor: pointer;

    border: 1px solid black;
    border-bottom: none;
    border-radius: 8px 8px 0 0;
}
.emoji-group-links > li:not(:first-child) > a {
    border-left: none;
}
.emoji-group-links > li > a.emoji-active {
    background-color: #ddd;
}
.emoji-group-links > li > a:hover {
    background-color: #eee;
}
.emoji-group-links > li:not(:first-child) > a:hover,
.emoji-group-links > li:not(:first-child) > a.emoji-active {
    border-left: 1px solid black;
    margin-left: -1px;
}

.emoji-board-main {
    border: 1px solid black;
    border-top: none;
    position: relative;
    flex-grow: 1;
}
.emoji-group {
    position: absolute;
    height: 100%;
    overflow-y: auto;
}
.emoji-group > header {
    font-weight: bolder;
    font-size: larger;
    padding: 1ex;
    border-bottom: 1px solid black;
    border-top: 1px solid black;
}
.emoji-group > div {
    display: flex;
    flex-flow: row wrap;
    padding: 1ex;
}
.emoji-emoji {
    font-size: 48px;
    padding: 4px;
    cursor: pointer;
    width: 48px;
    height: 48px;
}

.emoji-emoji:hover {
    outline: 1px solid #eee;
    opacity: 0.7;
}

/* Twemoji */
.emoji_board .emoji {
    width: 48px;
}
.emoji {
    width: 32px;
}
